Bug 58366 - Boots freezes whith smp kernel on an PIII 1GHz sistem
Boots freezes whith smp kernel on an PIII 1GHz sistem
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-15 06:17 EST by Leandro Tavares
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-15 07:42:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leandro Tavares 2002-01-15 06:17:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.0.2 (X11; Linux i686; U;) Gecko/20011228

Description of problem:
When i installed the RedHat Linux 7.2, using both kernels 2.4.7-2 and 2.4.9-13
the sistem freezes on boot. The motherboard is new and was changed recently, and
is an ASUS CUV4X-D, with an Apollo Pro133A Chipset.
I used the smp version of the kernels mentioned above and compiled a custom one
and the result is the same.
The curious is if i boot the old linux instaled on the machine, a Conectiva 5
Linux based on a 2.2 linux kernel, all things works fine!!!

Version-Release number of selected component (if applicable):
kernel smp 2.4.9-13 and custom ones.

How reproducible:
Always

Steps to Reproduce:
1.Simply boot the sistem using the smp version of the kernels provided by RedHat.


Actual Results:  I have compiled the kernel 2.4.9-13, withou sucess. I am going
now to try a BIOS update.

Expected Results:  i am here reporting this, waiting for help !!!! :-))

Additional info:

The computer is an ASUS CUV4X-D, with 2 PIII 1GHz and 1Gb of ram and is a part
of a Cluster Beowulf.
We are upgrading this Beowulf, changing the motherboards and the Linux version.
Actually, we are using a Conectiva Linux 5, based on Linux Kernel 2.2, and in
this linux, with his kernel version, the sistem works fine and no errors are
reported.

I got this message with both kernels:
 WARNING: unexpected IO-APIC, please mail
          to linux-smp@vger.rutgers.edu

I think this is a chipset issue.
Comment 1 Arjan van de Ven 2002-01-15 06:22:21 EST
Ok I think you're looking for the folling:
In the bios settings there's a setting called 'MPS 1.4' or similar (depends a
bit on the exact bios version you have). If you change the value of that it will
work (well it did for others, I don't have this mobo myself)
Comment 2 Leandro Tavares 2002-01-15 07:42:33 EST
I am making tests now, and when i disabled this setting and all wokrs fine. I
have made this after read the comments about this issue.
Anyone knows what 'MPS 1.4' means?
Thanks a lot.
Comment 3 Arjan van de Ven 2002-01-18 13:42:22 EST
MPS stands for "multiprocessor specification" and comes in spec level 1.1 and
level 1.4. Somehow there's a "miscommunication" between the linux MPS code and
some ASUS bioses for format 1.4 tables. Who's to blame is unsure yet (but it's
only on ASUS motherboards :).

1.1 tables are a slightly different format and seem to work well.......


Note You need to log in before you can comment on or make changes to this bug.